# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBI/DBD/SqlEngine.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-DBD-AnyData
Summary:        DBI access to XML, CSV and other formats 
Version:        0.110
Release:        alt1_6
License:        GPL+ or Artistic
Group:          Development/Perl
Source0:        http://search.cpan.org/CPAN/authors/id/R/RE/REHSACK/DBD-AnyData-%{version}.tar.gz
URL:            http://search.cpan.org/dist/DBD-AnyData
BuildArch:      noarch

BuildRequires:  perl(AnyData.pm)
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Params/Util.pm)
BuildRequires:  perl(SQL/Statement.pm)
BuildRequires:  perl(Test/More.pm)

Requires:       perl(AnyData.pm) >= 0.07
Requires:       perl(DBI.pm) >= 1.611_93
Requires:       perl(Params/Util.pm) >= 1.00
Requires:       perl(SQL/Statement.pm) >= 1.27



%{?perl_default_subpackage_tests}
Source44: import.info

%description
The DBD::AnyData module provides a DBI (Perl Database Interface) and SQL 
(Structured Query Language) interface to data in many formats and from many 
sources.

%prep
%setup -q -n DBD-AnyData-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/DBD/*


%changelog
* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.110-alt1_6
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.110-alt1_4
- fc import

